DistanceApproximation (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.DistanceApproximation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry.shape
Class DistanceApproximation

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.DistanceApproximation

Deprecated. This has been replaced with more accurate math in `LLRect`. This class will be removed in a future release.

    @Deprecated
    public class DistanceApproximation

extends Object

Imported from mq java client. No changes made.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`static double` | `KILOMETERS_PER_MILE` Deprecated.
`static double` | `MILES_PER_LATITUDE` Deprecated.

Constructor Summary
`DistanceApproximation()` Deprecated.

Method Summary
`double` | `getDistanceSq(double lat, double lng)` Deprecated.
`double` | `getDistanceSq(double lat1, double lng1, double lat2, double lng2)` Deprecated.
`static double` | `getMilesPerLatDeg()` Deprecated.
`static double` | `getMilesPerLngDeg(double lat)` Deprecated.
`void` | `setTestPoint(double lat, double lng)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILES_PER_LATITUDE

    public static final double MILES_PER_LATITUDE

  Deprecated.
  See Also:
    Constant Field Values

### KILOMETERS_PER_MILE

    public static final double KILOMETERS_PER_MILE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DistanceApproximation

    public DistanceApproximation()

  Deprecated.

Method Detail

### setTestPoint

    public void setTestPoint(double lat,
                             double lng)

  Deprecated.

### getDistanceSq

    public double getDistanceSq(double lat,
                                double lng)

  Deprecated.

### getDistanceSq

    public double getDistanceSq(double lat1,
                                double lng1,
                                double lat2,
                                double lng2)

  Deprecated.

### getMilesPerLngDeg

    public static double getMilesPerLngDeg(double lat)

  Deprecated.

### getMilesPerLatDeg

    public static double getMilesPerLatDeg()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD